# Class JSurveyDateApi

#### Hierarchy (View Summary)

- JBaseApi
  - JSurveyDateApi

- Defined in jamespot-user-api/src/apis/surveyDate/surveyDate.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

revive
submit
usersForDate

## Constructors

### constructor

- new JSurveyDateApi(jApi: JamespotUserApi): JSurveyDateApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JSurveyDateApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### revive

- revive(
  payload: { idArticle: number; message: string; mode: "all" | "waiting" },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<boolean>

  #### Parameters

  - payload: { idArticle: number; message: string; mode: "all" | "waiting" }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<boolean>

  - Defined in jamespot-user-api/src/apis/surveyDate/surveyDate.ts:20

### submit

- submit(
  payload: { dates: string[]; idArticle: number },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<string[]>

  #### Parameters

  - payload: { dates: string[]; idArticle: number }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<string[]>

  - Defined in jamespot-user-api/src/apis/surveyDate/surveyDate.ts:6

### usersForDate

- usersForDate(
  payload: { date: string; idArticle: number; page: number },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<SurveyDateUsersForDate>

  #### Parameters

  - payload: { date: string; idArticle: number; page: number }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<SurveyDateUsersForDate>

  - Defined in jamespot-user-api/src/apis/surveyDate/surveyDate.ts:34